{
  "compilerOptions": {
    "target": "ES2022",
    "lib": ["ES2022", "DOM", "DOM.Iterable"],
    "skipLibCheck": true,
    "module": "ESNext",
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "react-jsx",
    "strict": true,
    "noUnusedLocals": false,
    "noUnusedParameters": false,
    "noFallthroughCasesInSwitch": true,
    "baseUrl": ".",
    "paths": {
      "@/*": ["./src/*"],
      "@/components/ui/*": ["./src/shared/ui/*"],
      "@/hooks/*": ["./src/shared/hooks/*"],
      "@/lib/*": ["./src/shared/lib/*"],
      "@/store/*": ["./src/store/*"],
      "@/types": ["./src/shared/types/index.ts"],
      "@/types/*": ["./src/shared/types/*"],
      "@/utils/*": ["./src/shared/utils/*"]
    }
  },
  "include": ["src"]
}
